Project Chrono: chrono::ChCollisionShapeCapsule Class Reference

Public Member Functions | List of all members
chrono::ChCollisionShapeCapsule Class Reference
Chrono::Engine » Collision detection

## Description

Collision capsule shape.

When added to a collision model, the capsule is defined with its axis along the Z direction of the shape frame.

`#include <ChCollisionShapeCapsule.h>`

Inheritance diagram for chrono::ChCollisionShapeCapsule:
[legend]
Collaboration diagram for chrono::ChCollisionShapeCapsule:
[legend]

## Public Member Functions
| ChCollisionShapeCapsule (std::shared_ptr< ChContactMaterial > material, double radius, double height)
| ChCollisionShapeCapsule (std::shared_ptr< ChContactMaterial > material, const ChCapsule &cap)
ChCapsule & | GetGeometry ()
| Access the capsule geometry.
double | GetRadius () const
| Get the capsule radius.
double | GetHeight () const
| Get the capsule height (length of cylindrical portion).
double | GetLength () const
| Get the capsule total length.
virtual void | ArchiveOut (ChArchiveOut &archive_out) override
| Method to allow serialization of transient data to archives.
virtual void | ArchiveIn (ChArchiveIn &archive_in) override
| Method to allow de-serialization of transient data from archives.
Public Member Functions inherited from chrono::ChCollisionShape
| ChCollisionShape (Type type=Type::UNKNOWN_SHAPE)
| ChCollisionShape (Type type, std::shared_ptr< ChContactMaterial > material)
Type | GetType () const
std::shared_ptr< ChContactMaterial > | GetMaterial () const
ChContactMethod | GetContactMethod () const

## Additional Inherited Members
Public Types inherited from chrono::ChCollisionShape
enum | Type { SPHERE , ELLIPSOID , BOX , CYLINDER , CYLSHELL , CONVEXHULL , TRIANGLEMESH , BARREL , POINT , TRIANGLE , MESHTRIANGLE , CAPSULE , CONE , ROUNDEDBOX , ROUNDEDCYL , TETRAHEDRON , PATH2D , SEGMENT2D , ARC2D , UNKNOWN_SHAPE }
| Supported collision shape types.
Protected Attributes inherited from chrono::ChCollisionShape
Type | m_type
| type of collision shape
std::shared_ptr< ChContactMaterial > | m_material
| surface contact material

## Member Function Documentation

## ◆ ArchiveIn()

void chrono::ChCollisionShapeCapsule::ArchiveIn | ( | ChArchiveIn & | archive_in | ) |
| overridevirtual

Method to allow de-serialization of transient data from archives.

Method to allow de serialization of transient data from archives.

Reimplemented from chrono::ChCollisionShape.

## ◆ ArchiveOut()

void chrono::ChCollisionShapeCapsule::ArchiveOut | ( | ChArchiveOut & | archive_out | ) |
| overridevirtual

Method to allow serialization of transient data to archives.

Reimplemented from chrono::ChCollisionShape.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/collision/ChCollisionShapeCapsule.h
- D:/W/B/src/chrono-9.0.1/src/chrono/collision/ChCollisionShapeCapsule.cpp